Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038645
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2018-05-29 10:012018-06-08 12:55
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revisiond0c75cf1e622
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038645: [Reset Unit Cost] Wrong Stock shown in Product - Unit Cost if there exists a transaction cost with a different accounting date

Description[Reset Unit Cost] Wrong Stock shown in Product - Unit Cost if there exists a transaction cost with a different accounting date
Steps To ReproduceAs group admin role:
   Create a new product
   Add a purchase price to it
   Create a Goods Receipt
   Add 100 units of the product
   Complete it
   Schedule the Costing Background process to be run immediately
   Go to Product - Transactions tab and add a Manual Cost Adjustment to the transaction
   Set a different accounting date than the Goods Receipt accounting date
   Launch the Reset Unit Cost process
   Check in Product - Unit Cost tab that Stock shows 200 units
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0105023)
AtulOpenbravo (developer)
2018-06-08 08:23

Test Plan

- Login as F&B International Group admin role:
- Create a new product with name: "Test 38645 product"
- Add a purchase price to it
- Create a Goods Receipt with Today's Date
- Add 100 units of the product
- Complete it
- Schedule the Costing Background process to be run immediately
- Go to Product - Transactions tab and add a Manual Cost Adjustment to the transaction
- Set a different accounting date as (Today's Date + 1), Cost = 1100, process the cost Adjustment.
- Launch the Reset Unit Cost process.
- Check in Product - Unit Cost tab that Stock shows 100 units. This is correct.
(0105027)
hgbot (developer)
2018-06-08 08:52

Repository: erp/devel/pi
Changeset: d0c75cf1e6226cb77706f4032f1f8bc2e1d97323
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Jun 08 09:45:12 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/d0c75cf1e6226cb77706f4032f1f8bc2e1d97323 [^]

Fixes Issue 38645: [Reset Unit Cost] Wrong Stock shown in Product -
Unit Cost if there exists a transaction cost with a different
accounting date

Use LAG function to check whether movementqty for previous
m_transaction_id is already considered so that once it is used
for next records with same m_transaction_id consider it as 0
so that sum(qty) is correct.

---
M src-db/database/model/functions/M_INITIALIZE_STOCK_VALUATION.xml
---
(0105028)
dmiguelez (developer)
2018-06-08 08:53

Code Review + Testing Ok
(0105037)
hudsonbot (developer)
2018-06-08 12:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/91fd448a9bef [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-05-29 10:01 ngarcia New Issue
2018-05-29 10:01 ngarcia Assigned To => Triage Finance
2018-05-29 10:01 ngarcia Modules => Core
2018-05-29 10:01 ngarcia Triggers an Emergency Pack => No
2018-05-29 10:04 ngarcia Issue Monitored: networkb
2018-05-29 15:34 Practics Issue Monitored: Practics
2018-05-31 16:33 dmiguelez Assigned To Triage Finance => AtulOpenbravo
2018-06-06 21:35 AtulOpenbravo Status new => scheduled
2018-06-08 08:23 AtulOpenbravo Note Added: 0105023
2018-06-08 08:52 hgbot Checkin
2018-06-08 08:52 hgbot Note Added: 0105027
2018-06-08 08:52 hgbot Status scheduled => resolved
2018-06-08 08:52 hgbot Resolution open => fixed
2018-06-08 08:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d0c75cf1e6226cb77706f4032f1f8bc2e1d97323 [^]
2018-06-08 08:53 dmiguelez Review Assigned To => dmiguelez
2018-06-08 08:53 dmiguelez Note Added: 0105028
2018-06-08 08:53 dmiguelez Status resolved => closed
2018-06-08 08:53 dmiguelez Fixed in Version => 3.0PR18Q3
2018-06-08 12:55 hudsonbot Checkin
2018-06-08 12:55 hudsonbot Note Added: 0105037


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker